---
layout: spec
latex: true
---

# Engineering 100-950 Homepage

Welcome to Engineering 100-950! Over the course of the next semester, you will be learning how to solder, program Arduino micro-controllers, design circuit boards, create 3D CAD files, and launch high-altitude weather balloons!

This webpage serves as the homepage for this class. From here, you can access any resources you may need, including the [syllabus](#syllabus), [labs](#labs), and more.

## Syllabus

View the syllabus [here](/syllabus)

## Labs

The labs will be made publicly visible as they are released in the week leading up to lab. You can find them linked here:

[Lab Manuals](/labs/)

## Solder Challenge

Soldering tutorial and challenge to gain or improve soldering abilites.

**Coming Soon**

## Project

The full project specification, including PDR, Go/No-Go tests, poster, and final report is here:

[Project Specification](/project/project.md)

## Course Calendar

Calendar containing office hours and lecture/lab/discussion times.

[Link to course calendar](https://calendar.google.com/calendar/u/0?cid=dW1pY2guZWR1X3FranB0bnZjNGs5MXA0dDQ4dXExOGFoNWNzQGdyb3VwLmNhbGVuZGFyLmdvb2dsZS5jb20)

## Supplemental Resources

Reference pages that may be useful, like C++/Arduino cheat-sheet, Arduino pinout diagrams, and more.
Check them out [here](/resources).

## Tutorials

View all walk-through tutorials on how to install, use, and debug resources we are using [here](/tutorials).
