---
layout: spec
latex: true
---

# Project Guidelines


## Project Specification

The goal of this semester's project is to:

1. Build a sensor package that will ascend to approximately 100,000 ft altitude that will measure:
- outside temperature
- inside temperature
- outside humidity
- ambient atmospheric pressure
- acceleration of the package in 3 dimensions
- location of package
- speed of the package

2. The sensor package must work over the entire time of the flight (ascent and descent). 

3. The complete package attached to the payload train must be less than 1 lb in weight.

4. The sensor package must be able to be turned on without opening the payload.

5. The payload must indicate that it is working without opening the payload.

6. The team needs to include an extra component, examples of which include:
- a heater that keeps the internal temperature above freezing
- a magnetometer that measures the orientation of the payload throughout the flight
- light detectors mounted externally that indicate the orientation of the payload
- analysis of acceleration data that shows the orientation of the payload throughout the flight
- a "professional" structure (CAD drawings + easy mounting of sensors + etc.)

7. The team must prove that their payload will meet requirements.

5. Conduct analysis of all of their data.

